cargo-features = ["codegen-backend"]

[workspace]
members = ["emulator", "common", "assembler", "dsa_editor"]
resolver = "3"

[workspace.package]
version = "0.2.0"
edition = "2024"
authors = ["zxq5", "nullndvoid"]

[profile.dev]
codegen-backend = "cranelift"
panic = "abort" # Cranelift does not support stack unwinds.
lto = false
debug = true
incremental = false # sccache does not support caching incremental crates.
